import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class ColorsSection extends StatelessWidget {
  const ColorsSection({super.key});

  static final colorsList = [
    primaryColor,
    primaryHoverColor,
    blackColor,
    whiteColor,
    errorColor,
    successColor,
    inputBgColor,
    inputStrokeColor,
    inputIcon,
    placeholderColor,
    descColor,
    cardColor,
  ];

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width(context) * 100,
      height: height(context) * 10,
      margin: EdgeInsets.only(top: height(context) * 5),
      child: ListView.builder(
        itemCount: colorsList.length,
        scrollDirection: Axis.horizontal,
        itemBuilder: (BuildContext context, int index) {
          final currentItem = colorsList[index];
          return Container(
            width: 40,
            height: 40,
            margin: EdgeInsets.only(right: 10),
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(360),
              color: currentItem,
            ),
          );
        },
      ),
    );
  }
}
